org.apache.tapestry5.services.javascript

## Enum InitializationPriority

- java.lang.Object
- - java.lang.Enum<InitializationPriority>
  - - org.apache.tapestry5.services.javascript.InitializationPriority

- All Implemented Interfaces:
    Serializable, Comparable<InitializationPriority>

      public enum InitializationPriority
      extends Enum<InitializationPriority>

  Sets the priority for JavaScript initialization scripting. InitializationPriority allows coarse-grained control over the order in which initialization occurs on the client. The default is normally `NORMAL`. Starting in 5.4, these values have less meaning, as the dynamic loading of modules may have unexpected effects on the exact order in which initialization occurs as some initializations may be deferred until a referenced module, or a dependency of a referenced module, has been loaded.
  Since:
    5.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EARLY` All early execution occurs before `NORMAL`.
    `IMMEDIATE` Deprecated. Deprecated in 5.4; this is now treated as "earlier than early".
    `LATE` Execution occurs after `NORMAL`.
    `NORMAL` This is the typical priority.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InitializationPriority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InitializationPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMMEDIATE

          public static final InitializationPriority IMMEDIATE

      Deprecated. Deprecated in 5.4; this is now treated as "earlier than early".
      Provided JavaScript will be executed immediately (it is not deferred until the page loads). Execution occur via JavaScript's `eval`, and occurs once all JavaScript libraries (but not modules) for the page have been loaded.

    - #### EARLY

          public static final InitializationPriority EARLY

      All early execution occurs before `NORMAL`.

    - #### NORMAL

          public static final InitializationPriority NORMAL

      This is the typical priority.

    - #### LATE

          public static final InitializationPriority LATE

      Execution occurs after `NORMAL`.

  - ### Method Detail

    - #### values

          public static InitializationPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InitializationPriority c : InitializationPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InitializationPriority valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.